#
# Structure de la table `rs_holi`
#

DROP TABLE IF EXISTS `rs_holi`;
CREATE TABLE `rs_holi` (
  `IdHd` int(11) NOT NULL auto_increment,
  `DayHd` char(2) NOT NULL default '',
  `MonthHd` char(2) NOT NULL default '',
  `YearHd` char(4) default NULL,
  `FlagHd` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`IdHd`)
) TYPE=MyISAM COMMENT='Jours fris' AUTO_INCREMENT=8 ;

#
# Contenu de la table `rs_holi`
#

INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (1, '1', '1', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (2, '1', '5', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (3, '8', '5', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (4, '14', '7', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (5, '15', '8', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (6, '1', '11', NULL, 0);
INSERT INTO `rs_holi` (`IdHd`, `DayHd`, `MonthHd`, `YearHd`, `FlagHd`) VALUES (7, '25', '12', NULL, 0);
# --------------------------------------------------------

#
# Structure de la table `rs_rank`
#

DROP TABLE IF EXISTS `rs_rank`;
CREATE TABLE `rs_rank` (
  `IdRk` int(11) NOT NULL auto_increment,
  `TitleRk` varchar(50) NOT NULL default '',
  `ResaRk` tinyint(1) NOT NULL default '0',
  `DelMeRk` tinyint(1) NOT NULL default '0',
  `DelAllRk` tinyint(1) NOT NULL default '0',
  `MngrRk` tinyint(1) NOT NULL default '0',
  `AdmRk` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`IdRk`)
) TYPE=MyISAM COMMENT='Rang utilisateur' AUTO_INCREMENT=7 ;

#
# Contenu de la table `rs_rank`
#

INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (1, 'Administrateur', 1, 1, 1, 1, 1);
INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (2, 'Utilisateur de base', 1, 0, 0, 0, 0);
INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (3, 'Utilisateur normal', 1, 1, 0, 0, 0);
INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (4, 'Anonyme', 0, 0, 0, 0, 0);
INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (5, 'Super utilisateur', 1, 1, 1, 0, 0);
INSERT INTO `rs_rank` (`IdRk`, `TitleRk`, `ResaRk`, `DelMeRk`, `DelAllRk`, `MngrRk`, `AdmRk`) VALUES (6, 'Gestionnaire', 1, 1, 1, 1, 0);
# --------------------------------------------------------

#
# Structure de la table `rs_resa`
#

DROP TABLE IF EXISTS `rs_resa`;
CREATE TABLE `rs_resa` (
  `IdRs` int(11) NOT NULL auto_increment,
  `IdRm` int(11) default NULL,
  `IdUs` int(11) default NULL,
  `TitleRs` varchar(250) NOT NULL default '',
  `DateRs` date NOT NULL default '0000-00-00',
  `BegRs` time NOT NULL default '00:00:00',
  `EndRs` time NOT NULL default '00:00:00',
  `DescRs` text NOT NULL,
  `BillRs` float NOT NULL default '0',
  `IdCl` int(11) NOT NULL default '0',
  PRIMARY KEY  (`IdRs`),
  KEY `IdRm` (`IdRm`,`IdUs`,`DateRs`)
) TYPE=MyISAM COMMENT='Rservation de salle' AUTO_INCREMENT=1 ;


#
# Structure de la table `rs_room`
#

DROP TABLE IF EXISTS `rs_room`;
CREATE TABLE `rs_room` (
  `IdRm` int(11) NOT NULL auto_increment,
  `NameRm` varchar(50) NOT NULL default '',
  `LocateRm` varchar(50) NOT NULL default '',
  `SeatRm` int(11) NOT NULL default '0',
  `UseRm` tinyint(1) NOT NULL default '1',
  `BkcolRm` varchar(20) NOT NULL default '',
  `FtcolRm` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`IdRm`)
) TYPE=MyISAM COMMENT='Liste des salles' AUTO_INCREMENT=4 ;

#
# Contenu de la table `rs_room`
#

INSERT INTO `rs_room` (`IdRm`, `NameRm`, `LocateRm`, `SeatRm`, `UseRm`, `BkcolRm`, `FtcolRm`) VALUES (1, 'Salle de formation', 'Btiment principal', 50, 1, '#D0DBE5', 'RED');
INSERT INTO `rs_room` (`IdRm`, `NameRm`, `LocateRm`, `SeatRm`, `UseRm`, `BkcolRm`, `FtcolRm`) VALUES (2, 'Salle de confrence', 'Btiment principal', 100, 1, '#CC6600', 'YELLOW');
INSERT INTO `rs_room` (`IdRm`, `NameRm`, `LocateRm`, `SeatRm`, `UseRm`, `BkcolRm`, `FtcolRm`) VALUES (3, 'Salle de runion', 'Btiment principal', 50, 1, '#FF8080', 'BLACK');
# --------------------------------------------------------

#
# Structure de la table `rs_user`
#

DROP TABLE IF EXISTS `rs_user`;
CREATE TABLE `rs_user` (
  `IdUs` int(11) NOT NULL auto_increment,
  `NameUs` varchar(100) NOT NULL default '',
  `LoginUs` varchar(100) NOT NULL default '',
  `PwdUs` varchar(100) NOT NULL default '',
  `IdRk` int(1) NOT NULL default '2',
  PRIMARY KEY  (`IdUs`),
  KEY `IdRk` (`IdRk`)
) TYPE=MyISAM COMMENT='Liste utilisateurs' AUTO_INCREMENT=1 ;
    